Bug 829470 - [or] failed pofilter unchanged options for subscription-manager translations
[or] failed pofilter unchanged options for subscription-manager translations
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 5.9
Assigned To: Bryan Kearney
Entitlement Bugs
: i18n, Translation
Depends On:
Blocks: 771748
  Show dependency treegraph
 
Reported: 2012-06-06 16:48 EDT by Sharath Dwaral
Modified: 2015-03-22 21:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 15:32:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sharath Dwaral 2012-06-06 16:48:09 EDT
Description of problem:
Some of gnome English words remanin ubtranslated for 'or' language.  Sample output is shown below, 

Version-Release number of selected component (if applicable):
[root@fsharath-rhel63server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64

How reproducible:

[root@fsharath-rhel63server ~]# msgunfmt --no-wrap /usr/share/locale/or/LC_MESSAGES/rhsm.mo -o /usr/share/locale/or/LC_MESSAGES/rhsm.po
[root@fsharath-rhel63server ~]# pofilter --gnome -t unchanged /usr/share/locale/or/LC_MESSAGES/rhsm.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: l 10n\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2012-05-16 08:40-0400\n"
"PO-Revision-Date: 2012-04-11 12:08-0400\n"
"Last-Translator: mgiri <mgiri@fedoraproject.org>\n"
"Language-Team: Oriya <oriya-it@googlegroups.com>\n"
"Language: or\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=n != 1;\n"
"X-Generator: Zanata 1.5.0\n"

# (pofilter) unchanged: Consider translating
msgid "%prog [options]"
msgstr "%prog [options]"

Actual results:
Shown above

Expected results:

> 'options' not translated to it's respective native language.

Additional info:

http://translate.sourceforge.net/wiki/toolkit/pofilter_tests#unchanged
Comment 2 Bryan Kearney 2012-06-21 15:32:31 EDT
Either internal widget names, or variables which should not be translated.
Comment 3 Manoj Kumar Giri 2012-06-25 08:50:30 EDT
Corrected translation error in Subscription Manager (1.0.X).

Note You need to log in before you can comment on or make changes to this bug.